org.eclnt.jsfserver.elements.componentnodes

## Class MENUBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MENUBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MENUBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MENUBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MENUBARNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `MENUBARNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindBackground(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindColspan(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindForeground(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindPopupborder(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindRounding(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindShadow(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindWidth(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindX(IDynamicContentBindingObject value)`
    `MENUBARNode` | `bindY(IDynamicContentBindingObject value)`
    `MENUBARNode` | `setAccessiblename(java.lang.String value)`
    `MENUBARNode` | `setActionListener(java.lang.String value)`
    `MENUBARNode` | `setAdapterbinding(java.lang.String value)`
    `MENUBARNode` | `setAnimatechangeofsize(boolean value)`
    `MENUBARNode` | `setAnimatechangeofsize(java.lang.String value)`
    `MENUBARNode` | `setAttributemacro(java.lang.String value)`
    `MENUBARNode` | `setBackground(java.lang.String value)`
    `MENUBARNode` | `setClientname(java.lang.String value)`
    `MENUBARNode` | `setColspan(int value)`
    `MENUBARNode` | `setColspan(java.lang.String value)`
    `MENUBARNode` | `setComment(java.lang.String value)`
    `MENUBARNode` | `setComponentbinding(java.lang.String value)`
    `MENUBARNode` | `setConfiginfo(java.lang.String value)`
    `MENUBARNode` | `setForeground(java.lang.String value)`
    `MENUBARNode` | `setFxstyleseq(java.lang.String value)`
    `MENUBARNode` | `setHeight(int value)`
    `MENUBARNode` | `setHeight(java.lang.String value)`
    `MENUBARNode` | `setId(java.lang.String value)`
    `MENUBARNode` | `setPopupborder(java.lang.String value)`
    `MENUBARNode` | `setReference(java.lang.String value)`
    `MENUBARNode` | `setRendered(boolean value)`
    `MENUBARNode` | `setRendered(java.lang.String value)`
    `MENUBARNode` | `setRounding(int value)`
    `MENUBARNode` | `setRounding(java.lang.String value)`
    `MENUBARNode` | `setRowalignmenty(java.lang.String value)`
    `MENUBARNode` | `setShadow(java.lang.String value)`
    `MENUBARNode` | `setStyleseq(java.lang.String value)`
    `MENUBARNode` | `setStylevariant(java.lang.String value)`
    `MENUBARNode` | `setWidth(int value)`
    `MENUBARNode` | `setWidth(java.lang.String value)`
    `MENUBARNode` | `setX(int value)`
    `MENUBARNode` | `setX(java.lang.String value)`
    `MENUBARNode` | `setY(int value)`
    `MENUBARNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MENUBARNode

          public MENUBARNode()

  - ### Method Detail

    - #### setId

          public MENUBARNode setId(java.lang.String value)

    - #### setAccessiblename

          public MENUBARNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public MENUBARNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public MENUBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public MENUBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public MENUBARNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public MENUBARNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public MENUBARNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public MENUBARNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public MENUBARNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public MENUBARNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public MENUBARNode setBackground(java.lang.String value)

    - #### bindBackground

          public MENUBARNode bindBackground(IDynamicContentBindingObject value)

    - #### setClientname

          public MENUBARNode setClientname(java.lang.String value)

    - #### bindClientname

          public MENUBARNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public MENUBARNode setColspan(java.lang.String value)

    - #### bindColspan

          public MENUBARNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public MENUBARNode setColspan(int value)

    - #### setComment

          public MENUBARNode setComment(java.lang.String value)

    - #### bindComment

          public MENUBARNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public MENUBARNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public MENUBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MENUBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setForeground

          public MENUBARNode setForeground(java.lang.String value)

    - #### bindForeground

          public MENUBARNode bindForeground(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public MENUBARNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public MENUBARNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public MENUBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public MENUBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public MENUBARNode setHeight(int value)

    - #### setPopupborder

          public MENUBARNode setPopupborder(java.lang.String value)

    - #### bindPopupborder

          public MENUBARNode bindPopupborder(IDynamicContentBindingObject value)

    - #### setReference

          public MENUBARNode setReference(java.lang.String value)

    - #### setRendered

          public MENUBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public MENUBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MENUBARNode setRendered(boolean value)

    - #### setRounding

          public MENUBARNode setRounding(java.lang.String value)

    - #### bindRounding

          public MENUBARNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public MENUBARNode setRounding(int value)

    - #### setRowalignmenty

          public MENUBARNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public MENUBARNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public MENUBARNode setShadow(java.lang.String value)

    - #### bindShadow

          public MENUBARNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public MENUBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public MENUBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public MENUBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MENUBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public MENUBARNode setWidth(java.lang.String value)

    - #### bindWidth

          public MENUBARNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public MENUBARNode setWidth(int value)

    - #### setX

          public MENUBARNode setX(java.lang.String value)

    - #### bindX

          public MENUBARNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public MENUBARNode setX(int value)

    - #### setY

          public MENUBARNode setY(java.lang.String value)

    - #### bindY

          public MENUBARNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public MENUBARNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.